Bug 194210 - smbclient / smbtree returns <12 characters shares.
smbclient / smbtree returns <12 characters shares.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guenther Deschner
David Lawrence
:
Depends On:
Blocks: 176344 234547
  Show dependency treegraph
 
Reported: 2006-06-06 04:45 EDT by Jose Plans
Modified: 2010-10-22 01:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0698
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:14:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Plans 2006-06-06 04:45:12 EDT
Hi,

 The samba-3.0.10-1.4E.6 package from RHEL4 cannot list more than 12 characters
per share as it is using NetshareEnum via the rap call. Upstream has provided a
fix on this by first using RPC calls to list the share ressources and then
fallback to the original NetShareEnum call.

 The fix has been commited as revision 15098 upstream:
 > http://lists.samba.org/archive/samba-cvs/2006-April/066801.html

 To reproduce the issue:
  % smbclient -L //localhost/
 or
  % smbtree
 Won't show the shares with more than 12 characters.

Please let me know if you need more details about this problem,
Comment 2 RHEL Product and Program Management 2006-08-18 11:41:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 David Lawrence 2006-08-28 23:37:46 EDT
Should be easy to test fix. QE ACK+
Comment 6 RHEL Product and Program Management 2007-04-17 17:14:34 EDT
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.
Comment 7 RHEL Product and Program Management 2007-05-09 06:14:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Guenther Deschner 2007-07-05 10:52:38 EDT
verified smbclient and smbtree with 3.0.25b on rhel4, both work with shares > 12
chars.
Comment 12 errata-xmlrpc 2007-11-15 11:14:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0698.html

Note You need to log in before you can comment on or make changes to this bug.